<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [Dialog](./puppeteer.dialog.md) &gt; [accept](./puppeteer.dialog.accept.md)

## Dialog.accept() method

<b>Signature:</b>

```typescript
accept(promptText?: string): Promise<void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  promptText | string | optional text that will be entered in the dialog prompt. Has no effect if the dialog's type is not <code>prompt</code>. |

<b>Returns:</b>

Promise&lt;void&gt;

A promise that resolves when the dialog has been accepted.

